-- the type column should be indexed
CREATE INDEX json_stores_type ON json_stores USING btree(type);

-- mobile recording media S3 upload
CREATE TABLE mobile_recording_uploads (
    id character varying(64) NOT NULL DEFAULT uuid_generate_v4(),
    mobile_recording_id varchar(64) NOT NULL,
    file_url varchar(1024) DEFAULT NULL,
    file_name varchar(255) DEFAULT NULL,
    size integer,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);

CREATE INDEX mobile_recording_id_idx ON mobile_recording_uploads USING btree(mobile_recording_id);
